Page MenuHomePhabricator

Rename SerializerFactory to BaseModelSerializerFactory
Closed, ResolvedPublic

Description

The SerializerFactory class is not a generic factory for serializers. It only supports the base model. In particular, it does not support custom entity types. BaseModelSerializerFactory would be a more descriptive name, that would avoid the confusion that led to T160426.

The same applies for DeserializerFactory.

Related Objects

StatusAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
InvalidLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedLydia_Pintscher
ResolvedAddshore
ResolvedAddshore
Resolvedjcrespo
ResolvedAddshore
ResolvedAddshore
ResolvedBawolff
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
DuplicateWMDE-leszek
ResolvedWMDE-leszek
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedMarostegui
ResolvedAddshore
ResolvedAddshore
DeclinedNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
OpenNone
StalledNone
OpenNone
OpenNone
Resolvedthiemowmde
OpenNone
InvalidNone
Resolvedthiemowmde

Event Timeline

daniel created this task.Mar 14 2017, 5:30 PM

Change 338749 had a related patch set uploaded (by Daniel Kinzler; owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase] Better names for WikibaseRepo/Client (de)serializer factory methods

https://gerrit.wikimedia.org/r/338749

See T160436#3102219 for a longer comment on this whole topic. Personally I'm fine with both BaseDataModelSerializerFactory and BaseModelSerializerFactory.

Change 351263 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Rename getExternalFormatEntityDeserializer to getAllTypesEntityDeserializer

https://gerrit.wikimedia.org/r/351263

Change 351264 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Rename getExternalFormatDeserializerFactory to getBaseDataModelDeserializerFactory

https://gerrit.wikimedia.org/r/351264

Change 351263 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rename getExternalFormatEntityDeserializer to getAllTypesEntityDeserializer

https://gerrit.wikimedia.org/r/351263

Change 351264 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rename getExternalFormatDeserializerFactory to getBaseDataModelDeserializerFactory

https://gerrit.wikimedia.org/r/351264

Change 351310 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Rename getEntitySerializer to getAllTypesEntitySerializer

https://gerrit.wikimedia.org/r/351310

Change 351310 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Rename getEntitySerializer to getAllTypesEntitySerializer

https://gerrit.wikimedia.org/r/351310

Change 358356 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/Wikibase@master] Better names for WikibaseRepo/Client (de)serializer factory methods

https://gerrit.wikimedia.org/r/358356

Change 338749 abandoned by Thiemo Mättig (WMDE):
Better names for WikibaseRepo/Client (de)serializer factory methods

Reason:
Resubmitted as Idd4f43a.

https://gerrit.wikimedia.org/r/338749

Change 358357 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Better names for WikibaseRepo/Client (de)serializer factory methods

https://gerrit.wikimedia.org/r/358357

Change 358356 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Better names for WikibaseRepo/Client (de)serializer factory methods

https://gerrit.wikimedia.org/r/358356

Change 358357 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Better names for WikibaseRepo/Client (de)serializer factory methods

https://gerrit.wikimedia.org/r/358357

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 22 2017, 11:13 AM
thiemowmde closed this task as Resolved.Oct 24 2017, 4:45 PM
thiemowmde claimed this task.

I consider this done with https://github.com/wmde/WikibaseDataModelSerialization/pull/222 and all the changes we did to the Wikibase top level factories. Actually renaming the two (De)SerializerFactories as well as the newEntity(De)Serializer methods is barely worth the hassle.

Please reopen if you strongly disagree.